Mail archive
alpine-devel

[alpine-devel] Please enable jpeg/png decoders on Python Imaging Library

From: Adelphe Rafanambinana <radelphe_at_gmail.com>
Date: Sun, 1 Sep 2013 05:07:13 -0400

Hi there,

I installed py-imaging-1.1.7-r3.apk on a machine with Alpine Linux 2.4, and
the package got installed correctely (libjpeg and zlib are installed).
However, when I use PIL to manipulate JPEG image, I got the following
error: "IOError: decoder jpeg not available" (the same for PNG which has
decoder zip).
I think that this is caused by the settings in the defautlt setup.py file
for Python Imaging Library (Imaging-1.1.7/setup.py) which not support JPEG
and PNG, according to the following lines (line number 37-38):

JPEG_ROOT = None
ZLIB_ROOT = None
Would you please be able to enable those decoders on the setup file and
rebuild a new package?

FYI: I tried to compile the source file on my machine, bu I got an error
"/usr/lib/gcc/i486-alpine-linux-uclibc/4.6.3/include-fixed/limits.h:169:61:
fatal error: limits.h: No such file or directory", so I would prefer to get
the fix from upstream if possible.

Thank you,
ALR



---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Sep 01 2013 - 05:07:13 UTC